﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Avtoprok
{
    public partial class Order : Form
    {
        public Order()
        {
            InitializeComponent();
            order_DataGridView.DataError += new DataGridViewDataErrorEventHandler(order_DataGridView_DataError);
        }

        public void Save()
        {
            this.Validate();
            this.order_BindingSource.EndEdit();
            this.tableAdapterManager.UpdateAll(this.avtodrive_02DataSet);

        }

        private void Order_Load(object sender, EventArgs e)
        {
            // TODO: данная строка кода позволяет загрузить данные в таблицу "avtodrive_02DataSet.Car". При необходимости она может быть перемещена или удалена.
            this.carTableAdapter.Fill(this.avtodrive_02DataSet.Car);
            // TODO: данная строка кода позволяет загрузить данные в таблицу "avtodrive_02DataSet.Client". При необходимости она может быть перемещена или удалена.
            this.clientTableAdapter.Fill(this.avtodrive_02DataSet.Client);
            // TODO: данная строка кода позволяет загрузить данные в таблицу "avtodrive_02DataSet.Order_". При необходимости она может быть перемещена или удалена.
            this.order_TableAdapter.Fill(this.avtodrive_02DataSet.Order_);

        }

        private void button7_Click(object sender, EventArgs e)
        {
            Save();
            this.Close();
        }

        private void button8_Click(object sender, EventArgs e)
        {
            Save();
            Client client = new Client();
            client.Show();
            this.Close();
        }

        private void button9_Click(object sender, EventArgs e)
        {
            Save();
            Car car = new Car();
            car.Show();
            this.Close();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            order_BindingSource.MoveFirst();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            order_BindingSource.MovePrevious();
        }

        private void button3_Click(object sender, EventArgs e)
        {
            order_BindingSource.AddNew();
        }

        private void button4_Click(object sender, EventArgs e)
        {
            order_BindingSource.RemoveCurrent();
        }

        private void button5_Click(object sender, EventArgs e)
        {
            order_BindingSource.MoveNext();
        }

        private void button6_Click(object sender, EventArgs e)
        {
            order_BindingSource.MoveLast();
        }

        private void order_DataGridView_CellContentClick(object sender, DataGridViewCellEventArgs e)
        {

        }
        void order_DataGridView_DataError(object sender, DataGridViewDataErrorEventArgs e)
        {
            object value = order_DataGridView.Rows[e.RowIndex].Cells[e.ColumnIndex].Value;
            if (!((DataGridViewComboBoxColumn)order_DataGridView.Columns[e.ColumnIndex]).Items.Contains(value))
            {
                e.ThrowException = false;
            }
        }
    }
}
